Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.crmf
Class CertRequest

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.crmf.CertRequest

All Implemented Interfaces:
  ASN1Value

public class CertRequest
extends java.lang.Object
implements ASN1Value

A PKIX CertRequest. Currently can only be decoded from its BER encoding. There are no methods for constructing one.

Nested Class Summary
`static class` | `CertRequest.Template` A Template class for constructing CertRequests from their BER encoding.

Field Summary
`private INTEGER` | `certReqId`
`private CertTemplate` | `certTemplate`
`private SEQUENCE` | `controls`
`static Tag` | `TAG`

Constructor Summary
`private` | `CertRequest()`
`(package private)` | `CertRequest(INTEGER certReqId, CertTemplate certTemplate, SEQUENCE controls)` Private constructor for the Template class.

Method Summary
`AVA` | `controlAt(int i)` Returns the ith Control.
`void` | `encode(java.io.OutputStream ostream)` This method is not yet supported.
`void` | `encode(Tag implicit, java.io.OutputStream ostream)` This method is not yet supported.
`INTEGER` | `getCertReqId()` Returns the certReqId (certificate request ID) field.
`CertTemplate` | `getCertTemplate()` Returns the CertTemplate field.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`int` | `numControls()` Returns the number of optional Controls in the cert request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### certReqId

    private INTEGER certReqId

### certTemplate

    private CertTemplate certTemplate

### controls

    private SEQUENCE controls

### TAG

    public static final Tag TAG

Constructor Detail

### CertRequest

    private CertRequest()

### CertRequest

    CertRequest(INTEGER certReqId,
                CertTemplate certTemplate,
                SEQUENCE controls)

  Private constructor for the Template class.

Parameters:
  `controls` - May be null.

Method Detail

### getCertReqId

    public INTEGER getCertReqId()

  Returns the certReqId (certificate request ID) field.

### getCertTemplate

    public CertTemplate getCertTemplate()

  Returns the CertTemplate field.

### numControls

    public int numControls()

  Returns the number of optional Controls in the cert request. The number may be zero.

### controlAt

    public AVA controlAt(int i)

  Returns the ith Control. `i` must be in the range [0..numControls-1].

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  This method is not yet supported.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicit,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  This method is not yet supported.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD